%{?nodejs_find_provides_and_requires}

%global packagename bunyan

%global enable_tests 1

Name:		nodejs-bunyan
Version:	1.8.12
Release:	3%{?dist}
Summary:	A JSON logging library for node.js services

License:	MIT
URL:		https://github.com/trentm/node-bunyan.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(nodeunit)
BuildRequires:	npm(moment)
BuildRequires:	npm(mv)
BuildRequires:	npm(safe-json-stringify)
BuildRequires:	npm(vasync)
BuildRequires:	npm(verror)
%endif

Requires:	nodejs

%description
A JSON logging library for node.js services


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# setup the examples
%setup -q -T -D -a 2 -n package

%nodejs_fixdep moment
%nodejs_fixdep mv
%nodejs_fixdep safe-json-stringify

# fix interpreter on example program
sed -i '1s/env //' examples/specific-level-streams.js
sed -i '1s/env //' examples/log-undefined-values.js
sed -i '1s/env //' bin/bunyan

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/bunyan \
    %{buildroot}%{_bindir}/bunyan


%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
# Only run tests that don't require root privileges
ls -altr test/
files=$(ls -1 test/*.test.js | grep -v dtrace)
echo $files
%{_bindir}/nodeunit $(ls -1 test/*test.js | grep -v dtrace | xargs)
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif



%files
%{!?_licensedir:%global license %doc}
%doc *.md examples/
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}
%{_bindir}/bunyan



%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 29 2017 Jared Smith <jsmith@fedoraproject.org> - 1.8.12-1
- Update to upstream 1.8.12 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Mar 24 2017 Jared Smith <jsmith@fedoraproject.org> - 1.8.9-1
- Update to upstream 1.8.9 version

* Fri Nov  6 2015 Jared Smith <jsmith@fedoraproject.org> - 1.5.1-1
- Initial packaging
